/* Load this script using conditional IE comments if you need to support IE 7 and IE 6. */

window.onload = function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'All-Font-Icons-Iteration-2\'">' + entity + '</span>' + html;
	}
	var icons = {
			'icon-favourite-star-01' : '&#xe000;',
			'icon-magnifier-docked-top-01' : '&#xe001;',
			'icon-magnifier-docked-right-01' : '&#xe002;',
			'icon-magnifier-docked-left-01' : '&#xe003;',
			'icon-magnifier-docked-bot-01' : '&#xe004;',
			'icon-increase-size-panel-no-frame-01-01' : '&#xe005;',
			'icon-increase-size-panel-chkd-no-frame-01-01' : '&#xe006;',
			'icon-preview-eye-01-01' : '&#xe007;',
			'icon-magnifier-position-shading-01-01' : '&#xe008;',
			'icon-magnifier-position-lens-01-01' : '&#xe009;',
			'icon-magnifier-position-full-no-frame-01-01' : '&#xe00a;',
			'icon-magnifier-position-frame-01-01' : '&#xe00b;',
			'icon-magnifier-position-caret-01-01' : '&#xe00c;',
			'icon-magnifier-follws-key-01' : '&#xe00d;',
			'icon-magnification-follows-text-01-01' : '&#xe00e;',
			'icon-magnification-follows-mouse-01-01' : '&#xe00f;',
			'icon-magnification-follows-check-mark-01-01' : '&#xe010;',
			'icon-cursor-preview-all-01-01-01' : '&#xe011;',
			'icon-cursor-pointer-small-01-01' : '&#xe012;'
		},
		els = document.getElementsByTagName('*'),
		i, attr, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		attr = el.getAttribute('data-icon');
		if (attr) {
			addIcon(el, attr);
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
};